Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
experimentation
/
experiments
Create an experiment for the Experiment Center.
curl --request POST \
  --url https://{tenantDomain}/api/v2/experimentation/experiments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "feature_flag_id": "<string>",
  "authentication_flow": "<string>",
  "assignment_config": {
    "subject": "device"
  },
  "allocations": [
    {
      "variation_id": "<string>",
      "is_control": true,
      "weight": 50,
      "segment_id": "<string>",
      "priority": 2,
      "is_fallback": true
    }
  ],
  "description": "<string>"
}
'
import requests

url = "https://{tenantDomain}/api/v2/experimentation/experiments"

payload = {
    "name": "<string>",
    "feature_flag_id": "<string>",
    "authentication_flow": "<string>",
    "assignment_config": { "subject": "device" },
    "allocations": [
        {
            "variation_id": "<string>",
            "is_control": True,
            "weight": 50,
            "segment_id": "<string>",
            "priority": 2,
            "is_fallback": True
        }
    ],
    "description": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    feature_flag_id: '<string>',
    authentication_flow: '<string>',
    assignment_config: {subject: 'device'},
    allocations: [
      {
        variation_id: '<string>',
        is_control: true,
        weight: 50,
        segment_id: '<string>',
        priority: 2,
        is_fallback: true
      }
    ],
    description: '<string>'
  })
};

fetch('https://{tenantDomain}/api/v2/experimentation/experiments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "feature_flag_id": "<string>",
  "authentication_flow": "<string>",
  "assignment_config": {
    "subject": "device"
  },
  "is_valid": true,
  "allocations": [
    {
      "variation_id": "<string>",
      "segment_id": "<string>",
      "weight": 123,
      "priority": 123,
      "is_control": true,
      "is_fallback": true
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

Create an experiment with traffic allocation

name
string
requis

A human-readable name for the experiment

Required string length: 3 - 255
Pattern: ^(?!.*\x00)\S(.*\S)?$
feature_flag_id
string
requis

The ID of the feature flag this experiment is based on

Pattern: ^flg_[A-HJ-NP-Za-km-z1-9]+$
authentication_flow
string
requis

The authentication flow this experiment applies to

allocation_strategy
enum<string>
requis

The traffic allocation strategy for this experiment

Options disponibles:
percentage,
segment
assignment_config
object
requis

Configuration for how users are assigned to variations

allocations
object[]
requis

Traffic allocations mapping variations to weights or segments

Minimum array length: 1
description
string

A description of the experiment

Required string length: 3 - 1024
Pattern: ^(?!.*\x00)\S(.*\S)?$

Réponse

Experiment successfully created.

id
string
requis
Pattern: ^exp_[A-HJ-NP-Za-km-z1-9]+$
name
string
requis
feature_flag_id
string
requis
authentication_flow
string
requis
allocation_strategy
enum<string>
requis
Options disponibles:
percentage,
segment
assignment_config
object
requis
status
enum<string>
requis

Filter by status. Exact match.

Options disponibles:
draft,
active,
paused,
completed,
archived
is_valid
boolean
requis
allocations
object[]
requis
created_at
string<date-time>
requis
updated_at
string<date-time>
requis
description
string
started_at
string<date-time>
ended_at
string<date-time>